GET
/detectors/{detectorModelName}/keyValues/
http://data.iotevents.{region}.amazonaws.com/detectors/{detectorModelName}/keyValues/Returns information about the specified detector (instance).
Access Token Required: API Key
Path Parameters
detectorModelNamestringrequired
The name of the detector model whose detectors (instances) you want information about.
Query Params
keyValuestring
A filter used to limit results to detectors (instances) created because of the given key ID.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://data.iotevents.{region}.amazonaws.com/detectors/{detectorModelName}/keyValues/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}